#include <stdio.h>
#include <lapacke/lapacke.h>

float a[] = {
    1, 0, 0, 0,
    0, 2, 0, 0,
    0, 0, 1, 1,
    0, 0, 0, 1
};
float b[] = {1, 1, 1, 1};

int main()
{
    lapack_int lpiv[4], laout;
    laout = LAPACKE_sgesv(LAPACK_ROW_MAJOR,
        4,  /*size of matrix*/
        1, /*number of columns in solution*/
        a,
        4, /*leading dimension of matrix */
        lpiv,   /* internal workspace */
        b,
        1 /*leading dimension of solution vector*/
        );
    
    printf("result %d\n", laout);
    printf("%f\n%f\n%f\n%f\n", b[0], b[1], b[2], b[3]);
}

